//========================================================================================
//
//	File:				MnuDef.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

//========================================================================================
#ifndef MNUDEF_H
#define MNUDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

// Kind
#define kMnuKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:Mnu"

// Category
#define kMnuCategory "DevUniv:Category:Mnu"

// Class ID
#define kMnuEditor "DevUniv::Mnu"

// Editor User String
#define kMnuEditorUserString "Mnu 1.0"

// Kind User String
#define kMnuKindUserString "Mnu"

// Category User String
#define kMnuCategoryUserString "None"

// Mnu OSType
#define kMnuOSType 'DFMK'

#define kKindCategoryMapId			128
#define kEditorKindMapId			kKindCategoryMapId+1
#define kEditorUserStringMapId		kEditorKindMapId+1
#define kKindUserStringMapId		kEditorUserStringMapId+1
#define kCategoryUserStringMapId	kKindUserStringMapId+1
#define kOldMacOSTypeMapId			kCategoryUserStringMapId+1

//==============================================================
#define kMainPresentation	"Apple:Presentation:Mnu"
#define kMnuAnnotationProp "Apple:Framework:Property:MnuAnnotation"
#define kMnuAnnotationValue "Apple:Framework:Value:MnuAnnotation"

//==============================================================
// Menus
#define kMnuMenu 5

// Strings
#define kMenuStringsResID 			1000
	#define kPartMenuStringID 			1
		#define kItemOneStringID		2
		#define kItemTwoStringID 		3
	#define kFrameMenuStringID 			4
		#define kItemThreeStringID		5
		#define kSoundStringID 			6

#define kAboutBoxStrings 1001
	#define kAboutMenuString 1

// Icon ID
#define kPartIconID		129

//========================================================================================
#endif

