//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _MNUFRAME_
#define _MNUFRAME_

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class FW_CLASS_ATTR CMnuPart;
class FW_CLASS_ATTR FW_CMenuEvent;

//=======================================================================
class FW_CLASS_ATTR CMnuFrame : public FW_CFrame {
public:
						CMnuFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CMnuPart* mnuPart);
	virtual 			~CMnuFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
private:
	CMnuPart* 			fMnuPart;
	FW_Boolean			fSoundOn;
};

//=======================================================================
#endif
